Bug 628274 - Unable to set display brightness on Asus EEE PC 1201N-PU17
Unable to set display brightness on Asus EEE PC 1201N-PU17
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-29 00:40 EDT by Brad Rubenstein
Modified: 2011-06-28 09:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 09:47:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brad Rubenstein 2010-08-29 00:40:14 EDT
Description of problem:

The brightness keys (Fn-F5 and Fn-F6) on my ASUS EEE PC 1201N-PU17 seem to be recognized, and under gnome they cause the display brightness popup to be displayed, but pressing them does not cause the screen brightness to change.

Version-Release number of selected component (if applicable):
kernel-2.6.34.3-37.fc13.i686
booted with args: acpi_osi=Linux elevator=deadline

How reproducible:


Steps to Reproduce:
1.  Press Fn-F5
2.
3.
  
Actual results:
Display brightness popup appears, but thermometer in it does not move.  Screen does not dim.

Expected results:
Display should dim.

Additional info:

# lsmod | grep eee
eeepc_wmi               2719  0 
eeepc_laptop           12367  0 
sparse_keymap           2485  2 eeepc_wmi,eeepc_laptop
wmi                     5624  1 eeepc_wmi
rfkill                 13433  3 eeepc_laptop,cfg80211,bluetooth

The dim button is being detected:
# lshal -m
Start monitoring devicelist:
-------------------------------------------------
22:36:33.530: computer_logicaldev_input_0 condition ButtonPressed = brightness-down

Neither of the following dims the screen:
# echo 0 > /sys/class/backlight/acpi_video0/brightness 
# echo 0 > /sys/class/backlight/nv_backlight/brightness 

My apologies if this is filed under the wrong module.  I'm not sure what else to try or provide, but I am open to suggestions.
Comment 1 Brad Rubenstein 2010-09-12 18:40:53 EDT
# lspci | grep VGA
05:00.0 VGA compatible controller: nVidia Corporation ION VGA [GeForce 9400M] (rev b1)
Comment 2 Brad Rubenstein 2010-12-08 15:12:47 EST
Workaround:  install non-free kmod-nvidia-260.19.21-1.fc13.1.i686 
The display brightness thermometer no longer pops up, but at least the brightness is controllable.  I occasionally have to factory-reset the bios settings in order for boot to work.
Comment 3 Bug Zapper 2011-05-31 11:09:25 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-28 09:47:04 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.